Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.controller.portlet
Class ControllerUserContext

    java.lang.Object
      org.jboss.portal.core.controller.portlet.ControllerUserContext

All Implemented Interfaces:
  org.jboss.portal.portlet.spi.UserContext

    public class ControllerUserContext

extends java.lang.Object
implements org.jboss.portal.portlet.spi.UserContext

Version:
  $Revision: 11127 $
Author:
  Julien Viet

Constructor Summary
`ControllerUserContext(ControllerContext controllerContext)`

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String arg0)`
`java.lang.String` | `getId()`
`java.util.Map<java.lang.String,java.lang.String>` | `getInformations()`
`java.util.Locale` | `getLocale()`
`java.util.List<java.util.Locale>` | `getLocales()`
`org.jboss.portal.identity.User` | `getUser()`
`void` | `setAttribute(java.lang.String arg0, java.lang.Object arg1)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ControllerUserContext

    public ControllerUserContext(ControllerContext controllerContext)

Method Detail

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `org.jboss.portal.portlet.spi.UserContext`

### getInformations

    public java.util.Map<java.lang.String,java.lang.String> getInformations()

  Specified by:
    `getInformations` in interface `org.jboss.portal.portlet.spi.UserContext`

### getUser

    public org.jboss.portal.identity.User getUser()

### getLocale

    public java.util.Locale getLocale()

  Specified by:
    `getLocale` in interface `org.jboss.portal.portlet.spi.UserContext`

### getLocales

    public java.util.List<java.util.Locale> getLocales()

  Specified by:
    `getLocales` in interface `org.jboss.portal.portlet.spi.UserContext`

### getAttribute

    public java.lang.Object getAttribute(java.lang.String arg0)

  Specified by:
    `getAttribute` in interface `org.jboss.portal.portlet.spi.UserContext`

### setAttribute

    public void setAttribute(java.lang.String arg0,
                             java.lang.Object arg1)

  Specified by:
    `setAttribute` in interface `org.jboss.portal.portlet.spi.UserContext`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD